.\" file MASS/Cars93.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG D
.FN Cars93
.TL
Data from 93 cars on sale in the USA in 1993.
.SH SUMMARY
The `Cars93' data frame has 93 rows and 27 columns.
.SH "DATA DESCRIPTION"
This data frame contains the following columns:
.AG Manufacturer
Manufacturer
.AG Model
Model
.AG Type
Type: Small, Sporty, Compact, Midsize, Large, Van
.AG Min.Price
Minimum Price (in $1,000) - price for a basic version
.AG Price
Midrange Price (in $1,000) - average of `Min.Price' and `Max.Price'
.AG Max.Price
Maximum Price (in $1,000) - price for "a premium version"
.AG MPG.city
City MPG (miles per US gallon by EPA rating)
.AG MPG.highway
Highway MPG
.AG AirBags
Air Bags standard. Factor: none, driver only, or driver & passenger
.AG DriveTrain
Drive train type: rear wheel, front wheel or 4WD; (factor).
.AG Cylinders
Number of cylinders (missing for Mazda RX-7, which has a rotary engine).
.AG EngineSize
Engine size (litres)
.AG Horsepower
Horsepower (maximum)
.AG RPM
RPM (revs per minute at maximum horsepower)
.AG Rev.per.mile
Engine revolutions per mile (in highest gear)
.AG Man.trans.avail
Is a manual transmission version available? (yes or no, Factor).
.AG Fuel.tank.capacity
Fuel tank capacity (US gallons)
.AG Passengers
Passenger capacity (persons)
.AG Length
Length  (inches)
.AG Wheelbase
Wheelbase (inches)
.AG Width
Width (inches)
.AG Turn.circle
U-turn space (feet)
.AG Rear.seat.room
Rear seat room (inches) (missing for 2-seater vehicles)
.AG Luggage.room
Luggage capacity (cubic feet) (missing for vans)
.AG Weight
Weight (pounds)
.AG Origin
Of non-USA or USA company origins? (factor)
.AG Make
Combination of Manufacturer and Model (character)
.SH SOURCE
Cars were selected at random from among 1993 passenger car models that
were listed in both the \fIConsumer Reports\fP issue and the 
\fIPACE Buying Guide\fP.  Pickup trucks and Sport/Utility vehicles were
eliminated due to incomplete information in the \fIConsumer Reports\fP
source.  Duplicate models (e.g., Dodge Shadow and Plymouth Sundance)
were listed at most once.

Further description can be found in Lock (1993). Use the URL
.br
`http://jse.stat.ncsu.edu/jse/v1n1/datasets.lock'
.br
or send the message
.br
     `send jse/v1n1/datasets.lock'
.br
to the email address `archive@jse.stat.ncsu.edu'
.SH SOURCE
Lock, R. H. (1993)
1993 New Car Data.
.ul
Journal of Statistics Education
\fB1\fP(1)
.KW sysdata
.WR
