VRcut <- function(x, breaks, labels, include.lowest=F)
{
  if(length(breaks) == 1.) {
    if(breaks < 1.) stop("Must specify at least one interval")
    if(missing(labels))
      labels <- paste("Range", seq(length = breaks))
    else if(length(labels) != breaks)
      stop("Number of labels must equal number of intervals")
    r <- range(x[!is.na(x)])
    r[is.na(r)] <- 1.
    if((d <- diff(r)) == 0.) {
      r[2.] <- r[1.] + 1.
      d <- 1.
    }
    breaks <- seq(r[1.] - 0.01 * d, r[2.] + 0.01 * d, length = breaks + 1.)
  } else {
    breaks <- sort(breaks)
    if(missing(labels))
      labels <- paste(format(breaks[ - length(breaks)]),
                      "+ thru ", format(breaks[-1.]), sep = "")
    else if(length(labels) != length(breaks) - 1.)
      stop("Number of labels must be 1 less than number of break points")
  }
  ans <- .C("binning", x = as.double(x), length(x), as.double(breaks),
            length(breaks), NAOK = TRUE)$x
  if(include.lowest) ans[ans == 1] <- 1.1
  ans <- ceiling(ans) - 1.
  storage.mode(ans) <- "integer"
  ans[ans <= 0. | ans >= length(breaks)] <- NA
  attr(ans, "levels") <- labels
  ans
}
