.\" file MASS/anova.negbin.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN anova.negbin
.TL
Likelihood Ratio Tests for Negative Binomial GLMs
.DN
Method function to perform sequential likelihood ratio tests for Negative
Binomial generalized linear models.
.CS
anova.negbin(object, ..., test="Chisq")
anova(object, ..., test="Chisq")
.RA
.AG object
Fitted model object of class `negbin', inheriting from classes `glm' and
`lm', specifying a Negative Binomial fitted GLM.  Typically the output of
`glm.nb()'.
.OA
.AG ...
Zero or more additional fitted model objects of class `negbin'.  They
should form a nested sequence of models, but need not be specified in any
particular order.
.AG test
Argument to match the `test' argument of `anova.glm'.  Ignored (with a
warning if changed) if a sequence of two or more Negative Binomial fitted
model objects is specified, but possibly used if only one object is specified.
.SH NOTE
If only one fitted model object is specified, a sequential analysis of
deviance table is given for the fitted model.  The `theta' parameter is kept
fixed.  If more than one fitted model object is specified they must all be
of class `negbin' and likelihood ratio tests are done of each model within
the next.  In this case `theta' is assumed to have been re-estimated for each
model.
.DT
.ME anova negbin
.SA
`glm.nb', `negative.binomial', `summary.negbin'
.EX
m1 <- glm.nb(Days ~ Eth*Age*Lrn*Sex, quine, link = log)
m2 <- update(m1, . ~ . - Eth:Age:Lrn:Sex)
anova(m2, m1)
.KW regression
.WR
