.\" file MASS/histplot.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN histplot
.TL
Trellis of Histograms
.DN
Plot a trellis of histograms of data.
.CS
histplot(formula, data, 
         prepanel = prepanel.histplot, panel = panel.histplot, 
         nbins = 5, h, x0 = -h/1000, breaks, prob = T, 
         aspect = "fill", ...)
.RA
.AG formula
a formula in the form:
.Cs
~ x | g1 * g2 * ...
.Ce
where the given variables `g1', `g2', ... may be omitted.
The `x' variable is a numeric response and is the data used to
construct each histogram.
Variables on the right hand side of the vertical bar are factors or shingles,
and are used to parcel the `x' values out to various panels.
If there are no given variables the initial ~ may be omitted.
.OA
.AG data
A data frame as list against which to evaluate the formula.
.AG prepanel
The prepanel function to be used.
.AG panel
The panel function to be used.
.AG nbins
The suggested number of bins. The default is small, as the number
of data points in each panel is unknown at this stage.
.AG h
The width of the bins.
.AG x0
A shift for the bin sequence - the breakpoints are at `x0 + n * h'.
.AG breaks
The set of breakpoints to be used. (Usually omitted).
.AG prob
If `true' (the default) plot a true histogram.
The vertical axis has a 
.ul
relative frequency density
scale, so the product of the dimensions of any panel gives the
relative frequency.  Hence the total area under the histogram
is 1 and it is directly comparable with most other estimates
of the probability density function.
.br
If `false' plot the counts in the bins.
.AG ...
generic Trellis arguments. See under `trellis.args' for details.
.RT
an object of class `trellis',
which is automatically plotted by `print.trellis'.
.DT
If `breaks' is specified, those breakpoints are used. Otherwise if `h'
is specified, a regular grid of bins is used with width `h'.
If neither `breaks' nor `h' is specified, `nbins' is used to select
a suitable `h'.  Beware of using bandwidth selection algorithms to
choose `h', as the data will be split, possibly unevenly, across panels.
.PP
Attempts to use unequally spaced breaks with `prob=F' will be honoured
with a warning, but this is strongly discouraged as misleading.
.SA
`truehist', `histogram', `trellis.args'
.KW trellis
.KW hplot
.KW dplot
.WR
