.\" file MASS/ldahist.d
.\" copyright (C) 1998-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN ldahist
.TL
Histograms or Density Plots of Multiple Groups
.DN
Plot histograms or density plots of data on a single Fisher linear
discriminant.
.CS
ldahist(data, g, nbins=25, h, x0= - h/1000, breaks,
        xlim=range(breaks), ymax=0, width,
        type=c("histogram", "density", "both"),
        sep=(type != "density"), 
        col=if(is.trellis()) trellis.par.get("bar.fill")$col else 2,
        xlab=deparse(substitute(data)), bty="n", ...)
.RA
.AG data
vector of data. Missing values (`NA's) are allowed and omitted.
.AG g
factor or vector giving groups, of the same length as `data'.
.OA
.AG nbins
Suggested number of bins to cover the whole range of the data.
.AG h
The bin width (takes precedence over `nbins').
.AG x0
Shift for the bins - the breaks are at `x0 + h * (..., -1, 0, 1, ...)' 
.AG breaks
The set of breakpoints to be used. (Usually omitted, takes precedence
over `h' and `nbins').
.AG xlim
The limits for the x-axis.
.AG ymax
The upper limit for the y-axis.
.AG width
Bandwidth for density estimates. If missing, the Sheather-Jones
selector is used for each group separately.
.AG type
Type of plot.
.AG sep
Whether there is a separate plot for each group, or one combined plot.
.AG col
The colour number for the bar fill.
.AG xlab
label for the plot x-axis. By default, this will be the name of `data'.
.AG bty
The box type for the plot - defaults to none.
.AG ...
additional arguments to `polygon'.
.RT
None.
.SE
Histogram and/or density plots are plotted on the current device.
.SA
`plot.lda'.
.KW dplot
.KW hplot
.WR
