.\" file MASS/logtrans.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN logtrans
.TL
Estimate log Transformation Parameter
.DN
Find and optionally plot the marginal likelihood for alpha
for a transformation model of the form `log(y + alpha) ~ x1 + x2 + ...'.
.CS
logtrans(object, ..., alpha = seq(0.5, 6, by = 0.25) - min(y), 
         plotit = <<see below>>, interp = <<see below>>,
         xlab="alpha", ylab="log Likelihood")
.RA
.AG object
Fitted linear model object, or formula defining the untransformed
model that is `y ~ x1 + x2 + ...'.  The function is generic.
.OA
.AG ...
If `object' is a formula, this argument may specify a data frame
as for `lm'.
.AG alpha
Set of values for the transformation parameter, alpha.
.AG plotit
Should plotting be done?  (Default is `T' if a non-null device is
currently active, else `F'.)
.AG interp
Should the marginal log-likelihood be interpolated with a spline
approximation?   (Default is `T' if plotting is to be done and
the number of real points is less than 100.)
.AG xlab
as for `plot'.
.AG ylab
as for `plot'.
.RT
List with components `x' (for alpha) and `y' (for the marginal
log-likelihood values).
.SE
A plot of the marginal log-likelihood is produced, if requested,
together with an approximate mle and 95% confidence interval.
.SH REFERENCE
Venables & Ripley, Chapter 6.
.SA
`boxcox'
.EX
logtrans(Days ~ Age*Sex*Eth*Lrn, data = quine, 
    alpha = seq(0.75, 6.5, len=20), singular.ok = T)
.KW regression
.KW models
.KW hplot
.WR
