.\" file MASS/modified/plot.survfit.d is a modified version of documentation 
.\" written by Terry Therneau and available in library survival4.
.\" 
.\" original file (C) 1994 Mayo Foundation for Medical Education and Research
.\" changes (C) 1994 B. D. Ripley.
.\"
.BG
.FN plot.survfit
.TL
Plot Method for Survfit
.DN
Plot method for `survfit' objects.
.CS
plot.survfit(survfit, conf.int=<<see below>>, mark.time=T,
             mark=3, col=1, lty=1, lwd=1, cex=1, log=F, yscale=1, xscale=1,
             xlab="", ylab="", xaxs='i', add=F, cloglog=F, strata, ...)
.RA
.AG survfit
structure returned by `survfit'.
.OA
.AG conf.int
determines whether confidence intervals will be plotted.  The default is to
do so if there is only one curve, i.e., no strata.
.AG mark.time
controls the labelling of the curves.  If set to `False', no labelling is done.
If `True', then curves are marked at each censoring time.  If `mark.time' is a
numeric vector, then curves are marked at the specified time points.
.AG mark
vector of mark parameters, which will be used to label the curves.
The `lines' help file contains examples of the possible marks.
The vector is reused cyclically if it is shorter than the number of curves.
.AG col
vector of colours.  The default value is 1.
.AG lty
vector of line types. The default value is 1.
.AG lwd
vector of line widths. The default value is 1.
.AG cex
parameter available to change the size of marks.
Not a vector; all marks have the same size.
.AG log
logical value: should the y axis be on a log scale?
.AG yscale
will be used to multiply the labels on the y axis.
A value of 100, for instance, would be used to give a percent scale.
Only the labels are
changed, not the actual plot coordinates, so that adding a curve with
`lines(surv.exp(...))', say, will perform as it did without the `yscale' arg.
.AG xscale
will be used in a similar manner for labels on the x axis.  A value of
365.25 will give labels in years instead of the original days.
.AG xlab
label given to the x-axis.
.AG ylab
label given to the y-axis.
.AG xaxs
the x axis style, as listed in `par'.  The S default option of `"r"' leads to
curves that are too far from the y axis.  This is, of course, just a matter
of aesthetic opinion.
.AG add
if false do not set up plot space and axes but add information to an
existing plot
.AG cloglog
if true plot survival on complementary log-log scale (equivalently, plot
cumulative hazard on log scale). Overrides `log=T'.
.AG strata
vector of strata numbers to be plotted for stratified plots.
.RT
a list with components `x' and `y', containing the coordinates of the
last point on each of the curves.  This may be useful for labelling.
.SE
A plot of survival curves is produced, one curve for each strata.
.DT
.ME plot survfit
.EX
plot.survfit(survfit(pgtime,pgstat,g2group),col=c(3,6),log=T)
.KW survival4
.KW hplot
.WR
