.\" file MASS/theta.md.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN theta.md
.TL
Estimate theta of the Negative Binomial by Deviance
.DN
Given the estimated mean vector, estimate `theta' of the Negative Binomial
Distribution by equating the deviance to the residual degrees of freedom.
Analogue of a moment estimator.
.CS
theta.md(y, u, dfr, limit=20, eps=sqrt(.Machine$single.eps))
.RA
.AG y
Vector of observed values from the Negative Binomial.
.AG u
Estimated mean vector.
.AG dfr
Residual degrees of freedom (assuming `theta' known).
.OA
.AG limit
Limit on the number of iterations.
.AG eps
Tolerance to determine convergence.
.RT
The required estimate of `theta', as a scalar.
.SA
`glm.nb'
.EX
theta <- theta.md(y, fitted(fm), dfr=123)
.KW models
.WR
