.\" file MASS/trigamma.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN trigamma
.TL
The Trigamma Function
.DN
Calculates the trigamma function, which is the second derivative of
the logarithm of the gamma function, for complex vector arguments.
.CS
trigamma(z)
.RA
.AG z
Vector argument.  May be real or complex but must have positive
real part.
.RT
Vector of trigamma(z) values.
.DT
Uses an asymptotic expansion where Re(z) > 5 and a recurrence
formula to such a case where Re(z) <= 5.  Accuracy is good.
.SH REFERENCE
M. Abramowitz and I. A. Stegun (1965)
.ul
Handbook of Mathematical Functions.
Dover.
.SA
`digamma'
.KW math
.WR
