.\" file MASS/width.SJ.d
.\" copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN width.SJ
.TL
Bandwidth Selection by Pilot Estimation of Derivatives
.DN
Uses the method of Sheather & Jones (1991) to select the bandwidth of
a Gaussian kernel density estimator.
.CS
width.SJ(x, nb=1000, lower, upper, method=c("ste", "dpi"))
.RA
.AG x
a numeric vector
.OA
.AG nb
number of bins to use.
.AG "upper, lower"
range over which to search for solution if `method = "ste"'.
.AG method
Either `"ste"' ("solve-the-equation") or `"dpi"' ("direct plug-in").
.RT
a bandwidth.
.SH REFERENCES
Sheather, S. J. and Jones, M. C. (1991) A reliable data-based bandwidth
selection method for kernel density estimation.
.ul
Journal of the Royal Statistical Society series B
\fB53\fR, 683-690.
.PP
Scott, D. W. (1992)
.ul
Multivariate Density Estimation: Theory, Practice, and  Visualization. 
Wiley.
.PP
Wand, M. P. and Jones, M. C. (1995)
.ul
Kernel Smoothing.
Chapman & Hall.
.SA
`ucv', `bcv', `density'
.EX
attach(geyser)
width.SJ(duration, method="dpi")
width.SJ(duration)
detach()

width.SJ(galaxies, method="dpi")
width.SJ(galaxies)
.KW dplot
.WR
