.\" file class/condense.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN condense
.TL
Condense training set for k-NN classifier
.DN
Condense training set for k-NN classifier
.CS
condense(train, class, store)
.RA
.AG train
matrix for training set
.AG class
vector of classifications for test set
.OA
.AG store
initial store set. Default one randomly chosen element of the set.
.DT
The store set is used to 1-NN classify the rest, and misclassified
patterns are added to the store set. The whole set is checked until
no additions occur.
.RT
index vector of cases to be retained (the final store set).
.SH REFERENCE
P. A. Devijver and J. Kittler (1982)
.ul
Pattern Recognition. A Statistical Approach.
Prentice-Hall, pp. 119-121.
.SA
`reduce.nn', `multiedit'
.EX
train <- rbind(iris[1:25,,1],iris[1:25,,2],iris[1:25,,3])
test <- rbind(iris[26:50,,1],iris[26:50,,2],iris[26:50,,3])
cl <- factor(c(rep("s",25),rep("c",25), rep("v",25)))
set.seed(99)
keep <- condense(train, cl)
knn(train[keep,], test, cl[keep])
keep2 <- reduce.nn(train, keep, cl)
knn(train[keep2,], test, cl[keep2])
.KW classif
.WR
