.\" file class/knn1.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN knn1
.TL
1-nearest neighbour classification
.DN
Nearest neighbour classification for test set from training set. For
each row of the test set, the nearest (by Euclidean distance) training
set vector is found, and its classification used. If there is more than
one nearest, a majority vote is used with ties broken at random.
.CS
knn1(train, test, class)
.RA
.AG train
matrix or data frame of training set cases.
.AG test
matrix or data frame of test set cases. A vector will be interpreted
as a row vector for a single case.
.AG class
factor of true classification of training set.
.RT
factor of classifications of test set.
.SA
`knn'
.EX
train <- rbind(iris[1:25,,1],iris[1:25,,2],iris[1:25,,3])
test <- rbind(iris[26:50,,1],iris[26:50,,2],iris[26:50,,3])
cl <- factor(c(rep("s",25),rep("c",25), rep("v",25)))
knn1(train, test, cl)
.KW classif
.WR
