.\" file spatial/Kenvl.d copyright (C) 1994-9 W. N. Venables and B. D. Ripley
.\"
.BG
.FN Kenvl
.TL
Compute Envelope and Average of Simulations of K-fns
.DN
Computes envelope (upper and lower limits) and average of simulations of K-fns
.CS
Kenvl(fs, nsim, ...)
.RA
.AG fs
full scale for K-fn
.AG nsim
number of simulations
.AG ...
arguments to produce one simulation
.RT
list with components
.RC x
distances
.RC lower
min of K-fns
.RC upper
max of K-fns
.RC aver
average of K-fns
.SA
`Kfn', `Kaver'
.EX
towns <- ppinit("towns.dat")
par(pty="s")
plot(Kfn(towns, 40), type="b")
plot(Kfn(towns, 10), type="b", xlab="distance", ylab="L(t)")
for(i in 1:10) lines(Kfn(Psim(69), 10))
lims <- Kenvl(10,100,Psim(69))
lines(lims$x,lims$l, lty=2)
lines(lims$x,lims$u, lty=2)
lines(Kaver(10,25,Strauss(69,0.5,3.5)))
.KW spatial
.WR
